#ifndef  __DSP_H__
#define  __DSP_H__
#endif

#define DSP_PULSE_BASIC		0x6000C000          //pulse basic address

#define DSP_DIR			(*(volatile unsigned short *)(DSP_PULSE_BASIC+0x0))
#define	DSP_XPCPDIR		0x0001
#define	DSP_YPCPDIR		0x0002
#define	DSP_ZPCPDIR		0x0004
#define	DSP_UPCPDIR		0x0008
#define	DSP_VPCPDIR		0x0010
#define DSP_XPCPCNT		(*(volatile unsigned short *)(DSP_PULSE_BASIC+0x2))
#define DSP_YPCPCNT		(*(volatile unsigned short *)(DSP_PULSE_BASIC+0x4))
#define DSP_ZPCPCNT		(*(volatile unsigned short *)(DSP_PULSE_BASIC+0x6))
#define DSP_PCPINIT		(*(volatile unsigned short *)(DSP_PULSE_BASIC+0x8))
#define DSP_PCPEN		(*(volatile unsigned short *)(DSP_PULSE_BASIC+0xA))
#define DSP_UPCPCNT		(*(volatile unsigned short *)(DSP_PULSE_BASIC+0xC))
#define DSP_VPCPCNT		(*(volatile unsigned short *)(DSP_PULSE_BASIC+0xE))


void FillMotorDataXYZ(int xdir,int ydir,int zdir,int udir,int vdir,int xcount,
						  int ycount,int zcount,int ucount,int vcount);
void InitMotor(void);
void InitGPIO(void);



